import { Role } from '@modules/ad/core/domain/ad.types';
import { Target } from '@modules/ad/core/domain/candidate.types';
import { Actor } from '@modules/ad/core/domain/value-objects/actor.value-object';

describe('Actor value object', () => {
  it('should create an actor value object', () => {
    const actorVO = new Actor({
      role: Role.DRIVER,
      target: Target.START,
    });
    expect(actorVO.role).toBe(Role.DRIVER);
    expect(actorVO.target).toBe(Target.START);
  });
});
